package sb

type GsDeed struct {
	GsBaseModel
	GsMainId uint `json:"gsMainId"`
	Type     int  `json:"type"`

	TaxCategory string  `json:"taxCategory"`
	TaxItem     string  `json:"taxItem"`
	Jsyj        string  `json:"jsyj"`
	Sl          string  `json:"sl"`
	Ynse        string  `json:"ynse"`
	Jmse        string  `json:"jmse"`
	Yjse        string  `json:"yjse"`
	Ybtse       string  `json:"ybtse"`
	TaxSub      string  `json:"taxSub"`
	TaxStart    string  `json:"taxStart"`
	TaxEnd      string  `json:"taxEnd"`
	Ynspzlsrq   string  `json:"ynspzlsrq"`
	Yspzsl      string  `json:"yspzsl"` //应税凭证数量
	Hdbl        float64 `json:"hdbl" gorm:"->"`

	YhsJmb []GsDeedYhs //印花税代码表
	FcsJmb GsDeedFcs   //房产税减免表
	TdsJmb GsDeedTds   //土地税减免代码表
	Need   bool        // 河北用 看是不是需要申报
	Skip   bool        // 已申报过跳过
}
