package sb

type GsRegInfo struct {
	ID                                uint   `json:"id" gorm:"primary_key"`
	ComID                             uint   `json:"comId"`                             // 小程序ID
	TaxpayerNumer                     string `json:"taxpayerNumer"`                     // 纳税人识别号
	TaxpayerName                      string `json:"taxpayerName"`                      // 纳税人名称
	TaxpayerStatus                    string `json:"taxpayerStatus"`                    // 纳税人状态
	SubjectRegistrationType           string `json:"subjectRegistrationType"`           // 课证主题登记类型
	RegistrationType                  string `json:"registrationType"`                  // 登记注册类型
	OrganizationCode                  string `json:"organizationCode"`                  // 组织机构代码
	TaxAuthorities                    string `json:"taxAuthorities"`                    // 主管税务机关
	Taxsuks                           string `json:"taxsuks"`                           // 主管税务科所
	TaxAdmin                          string `json:"taxAdmin"`                          // 税收管理员
	RegistrAddress                    string `json:"registrAddress"`                    // 注册地址
	ProductionAddress                 string `json:"productionAddress"`                 // 生产经营地址
	RegisteredCapital                 string `json:"registeredCapital"`                 // 注册资本
	TotalInvestment                   string `json:"totalInvestment"`                   // 投资总额
	Gykglx                            string `json:"gykglx"`                            // 国有控股类型
	GyInvestmentProportion            string `json:"gyInvestmentProportion"`            // 国有投资比例
	NaturalPeopleInvestmentProportion string `json:"naturalPeopleInvestmentProportion"` // 自然人投资比例
	ForeignInvestmentRatio            string `json:"foreignInvestmentRatio"`            // 外资投资比例
	LegalRepresentativeName           string `json:"legalRepresentativeName"`           // 法定代表人姓名
	LegalRepresentativeIDCard         string `json:"legalRepresentativeIDCard"`         // 法定代表人身份证号码
	LegalRepresentativePhone          string `json:"legalRepresentativePhone"`          // 法定代表人移动电话
	LegalRepresentativeTel            string `json:"legalRepresentativeTel"`            // 法定代表人固定电话
	FinancialManagerName              string `json:"financialManagerName"`              // 财务负责人姓名
	FinancialManagerIDCard            string `json:"financialManagerIDCard"`            // 财务负责人身份证号码
	FinancialManagerPhone             string `json:"financialManagerPhone"`             // 财务负责人移动电话
	FinancialManagerTel               string `json:"financialManagerTel"`               // 财务负责人固定电话
	TaxCollectorName                  string `json:"taxCollectorName"`                  // 办税人姓名
	TaxCollertorIDCard                string `json:"taxCollertorIDCard"`                // 办税人身份证号码
	TaxCollertorPhone                 string `json:"taxCollertorPhone"`                 // 办税人手机号码
	TaxCollertorTel                   string `json:"taxCollertorTel"`                   // 办税人固定电话
}
