package sb

// 增值税减免税申报明细表
type GsSmallVatReduce struct {
	GsBaseModel

	GsMainId uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type     int    `gorm:"column:type" json:"type" form:"type"`              //1 减税项目 2 免税项目 3 出口免税 4 其中 跨境服务
	Name     string `gorm:"column:name" json:"name" form:"name"`              //减免
	Jmxzdm   string `gorm:"column:jmxzdm" json:"jmxzdm" form:"jmxzdm"`        //减免性质代码
	JmxzdmId uint   `gorm:"column:jmxzdm_id" json:"jmxzdmId" form:"jmxzdmId"` //减免性质代码
	JmxzdmSb
	Qcye     string `gorm:"column:qcye" json:"qcye" form:"qcye"`             //期初余额 1
	Bqfse    string `gorm:"column:bqfse" json:"bqfse" form:"bqfse"`          //本期发生额 2
	Bqydjse  string `gorm:"column:bqydjse" json:"bqydjse" form:"bqydjse"`    //本期应抵减税额 3=1+2
	Bqsjdjse string `gorm:"column:bqsjdjse" json:"bqsjdjse" form:"bqsjdjse"` //本期实际抵减税额 4≤3
	Qmye     string `gorm:"column:qmye" json:"qmye" form:"qmye"`             //期末余额 5=3-4
	Remark   string `gorm:"column:remark" json:"remark" form:"remark"`       //备注

}
