package sb

type GsTaxCategory struct {
	GsBaseModel
	ComID               uint    `json:"comId"`               // 小程序ID
	Status              int     `json:"status"`              // 状态:0-无效,1-启用
	Seq                 int     `json:"seq"`                 // 排序
	Remark              string  `json:"remark"`              // 备注说明
	CollectionProject   string  `json:"collectionProject"`   // 征收项目
	CollectionItems     string  `json:"collectionItems"`     // 征收品目
	CollectionSub       string  `json:"collectionSub"`       // 征收子目
	ValidityPeriodStart string  `json:"validityPeriodStart"` // 认定有效期起
	ValidityPeriodEnd   string  `json:"validityPeriodEnd"`   // 认定有效期止
	Rate                string  `json:"rate"`                // 税率或单位税额
	CollectionAgency    string  `json:"collectionAgency"`    // 征收代理方式3
	Type                string  `json:"type"`
	YhHdbl              float64 `json:"yhHdbl"`
	From                string  `json:"from"`
	Qyzt                int     `json:"qyzt"`      //'启用状态  0-启用,1-不算税'
	Yhscbqyzt           int     `json:"yhscbqyzt"` //'1 （印花税）次报为0 不生成报表  默认0 生成报表',
}
