package models

import (
	"git.listensoft.net/tool/jspkit/common/variable"
	"github.com/go-rod/rod/lib/proto"
)

type SsoSession struct {
	Cookies      []*proto.NetworkCookieParam
	LocalStorage map[string]string
}

type SessionInfo struct {
	URL           string //页面URL 				API接口地址
	Selector      string //选择器  				API返回结果路径
	SelectorValue string //每个选择器对应的值	 API对应的企业值
	Cookies       string //cookies
	Area          variable.Area
	Api           bool
	ApiURL        string
	ApiMethod     string
	ApiParam      string
	ApiHeader     map[string]string
	Valid         int //新版登录的cookie是否可用，仅获取时赋值
}

type SessionServerRes struct {
	Key   string
	Value []SessionInfo
	Valid int
}
