package sb

// 国税mian表
type GsMain struct {
	GsBaseModel

	TableName           string `gorm:"column:table_name" json:"tableName" form:"tableName"`                          // 主表表名
	Period              string `gorm:"column:period" json:"period" form:"period"`                                    // 账期
	ComId               uint   `gorm:"column:com_id" json:"comId" form:"comId"`                                      // 记账公司ID
	Method              string `gorm:"column:method" json:"method" form:"method"`                                    // 任务操作
	IsSb                int    `gorm:"column:is_sb" json:"isSb" form:"isSb"`                                         // 1 申报
	IsXb                int    `gorm:"column:is_xb" json:"isXb" form:"isXb"`                                         // 1 选报
	Status              int    `gorm:"column:status" json:"status" form:"status"`                                    // 报表锁定
	InitStatus          int    `gorm:"column:init_status" json:"initStatus" form:"initStatus"`                       // 报表初始化状态
	CollectionStatus    int    `gorm:"column:collection_status" json:"collectionStatus" form:"collectionStatus"`     // 采集状态
	DeclareStatus       int    `gorm:"column:declare_status" json:"declareStatus" form:"declareStatus"`              // 申报状态
	DeclareFailReason   string `gorm:"column:declare_fail_reason" json:"declareFailReason" form:"declareFailReason"` // 申报失败原因
	SbFailReason        string `json:"sbFailReason" gorm:"->"`
	SbStatus            int    `json:"sbStatus" gorm:"->"`
	DeductionStatus     int    `gorm:"column:deduction_status" json:"deductionStatus" form:"deductionStatus"`              // 扣款状态
	DeductionFailReason string `gorm:"column:deduction_fail_reason" json:"deductionFailReason" form:"deductionFailReason"` // 扣款失败原因
	CheckStatus         int    `gorm:"column:check_status" json:"checkStatus" form:"checkStatus"`                          // 检查状态
	Tax                 string `gorm:"column:tax" json:"tax" form:"tax"`                                                   // 税款金额
	TaxPaid             string `gorm:"column:tax_paid" json:"taxPaid" form:"taxPaid"`                                      // 实际交款金额
	Sf                  string `gorm:"column:sf" json:"sf" form:"sf"`                                                      // 税负
	SfYear              string `gorm:"column:sf_year" json:"sfYear" form:"sfYear"`                                         // 年税负
	TaxFjs              string `gorm:"column:tax_fjs" json:"tax_fjs" form:"tax_fjs"`                                       // 税款金额
	//申报
	TaskName   string `json:"taskName" gorm:"->"`
	Image      string `json:"image" gorm:"->"`
	TaskStatus string `json:"taskStatus" gorm:"->"`
	ErrLog     string `json:"errLog" gorm:"->"`
	BeginAt    string `json:"beginAt" gorm:"->"`
	EndAt      string `json:"endAt" gorm:"->"`
	//扣款
	TaskName2   string `json:"taskName2" gorm:"->"`
	Image2      string `json:"image2" gorm:"->"`
	TaskStatus2 string `json:"taskStatus2" gorm:"->"`
	ErrLog2     string `json:"errLog2" gorm:"->"`
	BeginAt2    string `json:"beginAt2" gorm:"->"`
	EndAt2      string `json:"endAt2" gorm:"->"`
	SendStatus  int    `json:"sendStatus" gorm:"->"`
}
