package sb

type GsSb struct {
	GsBaseModel
	TableName       string `gorm:"column:table_name" json:"table_name" form:"table_name"` //主表表名
	ComId           uint   `gorm:"column:com_id" json:"com_id" form:"com_id"`
	Period          string `gorm:"column:period" json:"period" form:"period"` //账期开始日期
	ZqFailReason    string `gorm:"column:zq_fail_reason" json:"zq_fail_reason" form:"zq_fail_reason"`
	ZqStatus        int    `gorm:"column:zq_status" json:"zq_status" form:"zq_status"`                         //1 抓取成功 2抓取失败  3抓取中
	KouFailReason   string `gorm:"column:kou_fail_reason" json:"kou_fail_reason" form:"kou_fail_reason"`       //扣款失败原因
	KouStatus       int    `gorm:"column:kou_status" json:"kou_status" form:"kou_status"`                      //0 未扣款 1已缴款 2 缴款异常 3扣款中
	SbFailReason    string `gorm:"column:sb_fail_reason" json:"sb_fail_reason" form:"sb_fail_reason"`          //申报失败原因
	SbStatus        int    `gorm:"column:sb_status" json:"sb_status" form:"sb_status"`                         //0 未申报 1申报完成 2申报失败 3申报中
	CheckFailReason string `gorm:"column:check_fail_reason" json:"check_fail_reason" form:"check_fail_reason"` //检查失败原因
	CheckStatus     int    `gorm:"column:check_status" json:"check_status" form:"check_status"`                //0 未检查  1 检查通过  2 有遗漏 3检查中
	CheckImgPath    string `gorm:"column:check_img_path" json:"check_img_path" form:"check_img_path"`          //检查截图路径
}
