package sb

// 增值税减免税申报明细表
type GsSmallVatFb5 struct {
	GsBaseModel

	AddFlag  bool   `gorm:"column:add_flag" json:"addFlag" form:"addFlag"`
	GsMainId uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	T1       string `gorm:"column:t1" json:"t1" form:"t1"` // 本期应纳税额
	T2       string `gorm:"column:t2" json:"t2" form:"t2"` // 小微企业免税额
	T3       string `gorm:"column:t3" json:"t3" form:"t3"` // 本期免税额
	T4       string `gorm:"column:t4" json:"t4" form:"t4"` // 应纳税额减征额
	T5       string `gorm:"column:t5" json:"t5" form:"t5"` // 本期预缴税额
	T6       string `gorm:"column:t6" json:"t6" form:"t6"` // 本期应补（退）税额

}
