package sb

type GsTaxSb struct {
	GsBaseModel
	GsTaxSbId                  uint   `gorm:"column:gs_sb_id" json:"gs_sb_id" form:"gs_sb_id"`                                                             //gs_sb_id
	ComId                      uint   `gorm:"column:com_id" json:"com_id" form:"com_id"`                                                                   //公司ID
	Period                     string `gorm:"column:period" json:"period" form:"period"`                                                                   //账期开始日期
	SocialsecuritySerialNumber string `gorm:"column:socialsecurity_serial_number" json:"socialsecurity_serial_number" form:"socialsecurity_serial_number"` //社保流水号码
	SocialsecurityAgency       string `gorm:"column:socialsecurity_agency" json:"socialsecurity_agency" form:"socialsecurity_agency"`                      //社保经办机构
	SocialsecurityCode         string `gorm:"column:socialsecurity_code" json:"socialsecurity_code" form:"socialsecurity_code"`                            //社保编码
	CollectionProject          string `gorm:"column:collection_project" json:"collection_project" form:"collection_project"`                               //征收项目
	CollectionItems            string `gorm:"column:collection_items" json:"collection_items" form:"collection_items"`                                     //征收品目
	CollectionSub              string `gorm:"column:collection_sub" json:"collection_sub" form:"collection_sub"`                                           //征收子目
	TaxesPeriodStart           string `gorm:"column:taxes_period_start" json:"taxes_period_start" form:"taxes_period_start"`                               //税款所属期起
	TaxesPeriodEnd             string `gorm:"column:taxes_period_end" json:"taxes_period_end" form:"taxes_period_end"`                                     //税款所属期止
	PaymentBase                string `gorm:"column:payment_base" json:"payment_base" form:"payment_base"`                                                 //缴费基数
	PaymentRate                string `gorm:"column:payment_rate" json:"payment_rate" form:"payment_rate"`                                                 //缴费费率
	PayableAmount              string `gorm:"column:payable_amount" json:"payable_amount" form:"payable_amount"`                                           //应缴费额
	NumberPayers               int    `gorm:"column:number_payers" json:"number_payers" form:"number_payers"`                                              //缴费人数
	Edit                       bool   `json:"edit"`                                                                                                        // 当前行允许修改 辽宁医保用
	Person                     string `json:"person"`                                                                                                      // 当前行允许修改 辽宁医保用
}
