package sb

// 增值税纳税申报表附列资料（一）（本期销售情况明细）
type GsVatAttach1 struct {
	GsBaseModel

	GsMainId          uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type              int    `gorm:"column:type" json:"type" form:"type"`                                         //竖列的栏次
	KjskzzszyfpXse    string `gorm:"column:kjskzzszyfp_xse" json:"kjskzzszyfpXse" form:"kjskzzszyfpXse"`          //横列 1 开具税控增值税专用发票-销售额
	KjskzzszyfpXxynse string `gorm:"column:kjskzzszyfp_xxynse" json:"kjskzzszyfpXxynse" form:"kjskzzszyfpXxynse"` //横列 2 开具税控增值税专用发票-销项(应纳 )税额
	KjqtfpXse         string `gorm:"column:kjqtfp_xse" json:"kjqtfpXse" form:"kjqtfpXse"`                         //3 开具其他发票-销售额
	KjqtfpXxynse      string `gorm:"column:kjqtfp_xxynse" json:"kjqtfpXxynse" form:"kjqtfpXxynse"`                //4 开具其他发票-销项(应纳 )税额
	WkjfpXse          string `gorm:"column:wkjfp_xse" json:"wkjfpXse" form:"wkjfpXse"`                            //5 未开具发票-销售额
	WkjfpXxynse       string `gorm:"column:wkjfp_xxynse" json:"wkjfpXxynse" form:"wkjfpXxynse"`                   //6 未开具发票-销项(应纳 )税额
	Nsjctzdxse        string `gorm:"column:nsjctzdxse" json:"nsjctzdxse" form:"nsjctzdxse"`                       //7 纳税检查调整-销售额
	NsjctzXxynse      string `gorm:"column:nsjctz_xxynse" json:"nsjctzXxynse" form:"nsjctzXxynse"`                //8 纳税检查调整-销项(应纳 )税额
	Xse               string `gorm:"column:xse" json:"xse" form:"xse"`                                            //9 销售额
	HjXxynse          string `gorm:"column:hj_xxynse" json:"hjXxynse" form:"hjXxynse"`                            //10 合计-销项 (应纳 )税额
	Jshj              string `gorm:"column:jshj" json:"jshj" form:"jshj"`                                         //11 价税合计
	Ysfwkcxmbqsjkcje  string `gorm:"column:ysfwkcxmbqsjkcje" json:"ysfwkcxmbqsjkcje" form:"ysfwkcxmbqsjkcje"`     //12 服务、不动产和无形资产扣除项目本期实际扣除金额
	KchHsmsxse        string `gorm:"column:kch_hsmsxse" json:"kchHsmsxse" form:"kch_hsmsxse"`                     //13 扣除后-含税(免税 )销售额
	KchXxynse         string `gorm:"column:kch_xxynse" json:"kchXxynse" form:"kch_xxynse"`                        //14 扣除后-销项(应纳 )税额
}
