package sb

// 增值税及附加税费申报表附列材料（三）（服务、不动产和无形资产扣除项目明细）
type GsVatAttach3 struct {
	GsBaseModel

	GsMainId uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type     int    `gorm:"column:type" json:"type" form:"type"`             //栏目及栏次
	Msxse    string `gorm:"column:msxse" json:"msxse" form:"msxse"`          //1 本期服务、不动产和无形资产价税合计额(免税销售额)
	Qcye     string `gorm:"column:qcye" json:"qcye" form:"qcye"`             //2 期初余额
	Bqfse    string `gorm:"column:bqfse" json:"bqfse" form:"bqfse"`          //3 本期发生额
	Bqykcje  string `gorm:"column:bqykcje" json:"bqykcje" form:"bqykcje"`    //4 本期应扣除金额
	Bqsjkcje string `gorm:"column:bqsjkcje" json:"bqsjkcje" form:"bqsjkcje"` //5 本期实际扣除金额
	Qmye     string `gorm:"column:qmye" json:"qmye" form:"qmye"`             //6 期末余额
	Remark   string `gorm:"column:remark" json:"remark" form:"remark"`
}
