package sb

// 增值税纳税申报表附列资料（四）（税额抵减情况表）
type GsVatAttach4 struct {
	GsBaseModel

	GsMainId     uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type         int    `gorm:"column:type" json:"type" form:"type"`                         //竖列的栏次
	Qcye         string `gorm:"column:qcye" json:"qcye" form:"qcye"`                         //期初余额 1
	Bqfse        string `gorm:"column:bqfse" json:"bqfse" form:"bqfse"`                      //本期发生额 2
	Bqydjse      string `gorm:"column:bqydjse" json:"bqydjse" form:"bqydjse"`                //本期应抵减税额  3=1+2
	Bqsjdjse     string `gorm:"column:bqsjdjse" json:"bqsjdjse" form:"bqsjdjse"`             //本期实际抵减税额 4≤3
	Qmye         string `gorm:"column:qmye" json:"qmye" form:"qmye"`                         //期末余额 5=3-4
	Bqzce        string `gorm:"column:bqzce" json:"bqzce" form:"bqzce"`                      //二、加计抵减情况 本期调减额
	Bqsjjjdkjxse string `gorm:"column:bqsjjjdkjxse" json:"bqsjjjdkjxse" form:"bqsjjjdkjxse"` //本期实际抵减额
	Bqkjjdkjxse  string `gorm:"column:bqkjjdkjxse" json:"bqkjjdkjxse" form:"bqkjjdkjxse"`    //本期可抵减额
}
