package sb

// 增值税及附加税费申报表附列材料（五）（附加税费情况表）
type GsVatAttach5 struct {
	GsBaseModel

	GsMainId  uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	ZsxmDm    string `gorm:"column:zsxm_dm" json:"zsxm_dm" form:"zsxm_dm"`       //征收项目
	Zzsse     string `gorm:"column:zzsse" json:"zzsse" form:"zzsse"`             //增值税税额
	Zzsxejmje string `gorm:"column:zzsxejmje" json:"zzsxejmje" form:"zzsxejmje"` //增值税限免减免金额
	Zzsmdse   string `gorm:"column:zzsmdse" json:"zzsmdse" form:"zzsmdse"`       //增值税免抵税额
	Ldtsbqkce string `gorm:"column:ldtsbqkce" json:"ldtsbqkce" form:"ldtsbqkce"` //留底退税本期扣除额
	Sl        string `gorm:"column:sl" json:"sl" form:"sl"`                      //税率
	Bqynse    string `gorm:"column:bqynse" json:"bqynse" form:"bqynse"`          //本期应纳税额
	JmxzdmId  uint   `gorm:"column:jmxzdm_id" json:"jmxzdmId" form:"jmxzdmId"`   //减免性质代码
	JmxzdmSb
	Jmse     string `gorm:"column:jmse" json:"jmse" form:"jmse"`              //减免税额
	SdJmzdxm string `gorm:"column:sd_jmxzdm" json:"sdJmxzdm" form:"sdJmxzdm"` //试点教育减免性质代码（一般纳税人）
	Bqdmje   string `gorm:"column:bqdmje" json:"bqdmje" form:"bqdmje"`        //本期抵免金额（一般纳税人）
	Jzbl     string `gorm:"column:jzbl" json:"jzbl" form:"jzbl"`              //减增比例（小规模）
	Jze      string `gorm:"column:jze" json:"jze" form:"jze"`                 //减增额（小规模）
	Bqyjse   string `gorm:"column:bqyjse" json:"bqyjse" form:"bqyjse"`        //本期已缴税（费）额
	Bqybtse  string `gorm:"column:bqybtse" json:"bqybtse" form:"bqybtse"`     //本期应补退税额
}
