package sb

// 增值税及附加税费申报表附列材料（五）（附加税费情况表）-下面
type GsVatAttach5Qt struct {
	GsBaseModel

	GsMainId uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Zc       int    `gorm:"column:zc" json:"zc" form:"zc"` //本期是否试用试点建设培育产教融合 1是 0否
	Jsyj     string `gorm:"column:jsyj" json:"jsyj" form:"jsyj"`
	Qtxgyy   string `gorm:"column:qtxgyy" json:"qtxgyy" form:"qtxgyy"`
	A1       string `gorm:"column:a1" json:"a1" form:"a1"` //当期新增投资额
	A2       string `gorm:"column:a2" json:"a2" form:"a2"` //上留抵可抵免税额
	A3       string `gorm:"column:a3" json:"a3" form:"a3"`
	A4       string `gorm:"column:a4" json:"a4" form:"a4"`
	A5       string `gorm:"column:a5" json:"a5" form:"a5"`
	A6       string `gorm:"column:a6" json:"a6" form:"a6"`
	Lslf     bool   `json:"lslf"`     // 流水两费
	Jzzcsyzt string `json:"jzzcsyzt"` // 减征政策使用主体
	Jzzcqq   string `json:"jzzcqq"`   // 减征政策起
	Jzzcqz   string `json:"jzzcqz"`   // 减征政策止
	Chqq     string `json:"chqq"`     // 冲红所属期起
	Chqz     string `json:"chqz"`     // 冲红所属期止
}
