package sb

// 增值税减免税申报明细表
type GsVatJsxm struct {
	GsBaseModel

	GsMainId uint `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type     int8 `gorm:"column:type" json:"type" form:"type"` //1减免 2出口 3跨境 4免税
	JmxzdmId uint `gorm:"column:jmxzdm_id" json:"jmxzdmId" form:"jmxzdmId"`
	JmxzdmSb
	Qcye     string `gorm:"column:qcye" json:"qcye" form:"qcye"`             //期初余额
	Bqfse    string `gorm:"column:bqfse" json:"bqfse" form:"bqfse"`          //本期发生额
	Bqydjse  string `gorm:"column:bqydjse" json:"bqydjse" form:"bqydjse"`    //本期应抵减税额 3=1+2
	Bqsjdjse string `gorm:"column:bqsjdjse" json:"bqsjdjse" form:"bqsjdjse"` //本期实际抵减税额 4≤3
	Qmye     string `gorm:"column:qmye" json:"qmye" form:"qmye"`             //期末余额 5=3-4
	SwsxDm   string `gorm:"column:swsx_dm" json:"swsxDm" form:"swsxDm"`
	Hmc      string `gorm:"column:hmc" json:"hmc" form:"hmc"`
	Hmc1     string `gorm:"column:hmc1" json:"hmc1" form:"hmc1"`
	Hmc2     string `gorm:"column:hmc2" json:"hmc2" form:"hmc2"`
	Ewbhxh   string `gorm:"column:ewbhxh" json:"ewbhxh" form:"ewbhxh"`
}
