package sb

type KjZcfz struct {
	GsBaseModel
	KjMainID uint    `json:"kjMainId"` //
	Type     int     `json:"type"`     // 对应资产负债表行次字段 不标准
	Zcxmmc   string  `json:"zcxmmc"`   // 流动资产
	QmyeZc   float64 `json:"qmyeZc"`   // 期末余额
	NcyeZc   float64 `json:"ncyeZc"`   // 年初余额
	Qyxmmc   string  `json:"qyxmmc"`   // 流动负债
	QmyeQy   float64 `json:"qmyeQy"`   // 期末余额
	NcyeQy   float64 `json:"ncyeQy"`   // 年初余额
}

type KjZcfzTemplate struct {
	GsBaseModel
	KjMainID uint    `json:"kjMainId"` //
	Type     int     `json:"type"`     // 对应资产负债表行次字段 不标准
	Zcxmmc   string  `json:"zcxmmc"`   // 流动资产
	QmyeZc   float64 `json:"qmyeZc"`   // 期末余额
	NcyeZc   float64 `json:"ncyeZc"`   // 年初余额
	Qyxmmc   string  `json:"qyxmmc"`   // 流动负债
	QmyeQy   float64 `json:"qmyeQy"`   // 期末余额
	NcyeQy   float64 `json:"ncyeQy"`   // 年初余额
}
