package variable

type TaskName string

const (
	//采集
	TaxCjJianzhang   TaskName = "tax-cj-jianzhang"       //建账采集(企业信息和税种税表)
	TaxCjJump        TaskName = "tax-cj-jump"            //跳过采集
	TaxCjTaxCategory TaskName = "tax-cj-taxCategory"     //更新税种
	TaxCjResetTaxs   TaskName = "tax-cj-resetTaxs"       //重新采集税表
	TaxCjYyInvoice   TaskName = "tax-cj-invoice"         //预约采集
	TaxCjOutinvoice  TaskName = "tax-cj-outInvoice"      //销项发票
	TaxCjInInvoice   TaskName = "tax-cj-inInvoice"       //进项发票
	TaxCjInvoicePdf  TaskName = "cj-invoice-pdf"         //全电发票pdf
	TaxCjInvoice     TaskName = "tax-cj-invoice"         //进项销项发票
	TaxCjEsInvoice   TaskName = "tax-cj-estimateInvoice" //当前账期发票采集
	TaxCjYearInvoice TaskName = "tax-cj-12Invoice"       //当前账期发票采集
	TaxCjPdf         TaskName = "tax-cj-pdf"             //重发为了生成发票影像
	TaxCjShebao      TaskName = "tax-cj-shebao"          //社保采集
	TaxCjCwbb        TaskName = "tax-cj-cwbb"            //社保采集
	//申报
	TaxSbSmallVat   TaskName = "tax-sb-smallVat"   //小规模_增值税纳税
	TaxSbVat        TaskName = "tax-sb-vat"        //增值税一般纳税人
	TaxSbTaxQuarter TaskName = "tax-sb-taxQuarter" //企业所得税申报表
	TaxSbDeed       TaskName = "tax-sb-deed"       //行为税
	TaxSbDeedYhs    TaskName = "tax-sb-deed-yhs"   //印花税
	TaxSbDeedZys    TaskName = "tax-sb-deed-zys"   //资源税
	TaxSbDeedFcs    TaskName = "tax-sb-deed-fcs"   //房产税
	TaxSbDeedTds    TaskName = "tax-sb-deed-tds"   //土地税
	TaxSbQtsr       TaskName = "tax-sb-qtsr"       //其他收入
	TaxSbSl         TaskName = "tax-sb-sl"         //水利建设专项收入
	TaxSbWhsyjsf    TaskName = "tax-sb-whsyjsf"    //文化事业建设费
	TaxSbCbj        TaskName = "tax-sb-cbj"        //残疾人保障金g
	TaxSbXfs        TaskName = "tax-sb-xfs"        //消费税
	TaxSbLjcl       TaskName = "tax-sb-ljcl"       //城市生活垃圾处置费
	TaxSbShebao     TaskName = "tax-sb-shebao"     //社保申报
	TaxSbCwbb       TaskName = "tax-sb-cwbb"       //财务报表
	TaxSbFcs        TaskName = "tax-sb-fcs"        //房产税
	TaxSbDqde       TaskName = "tax-sb-dqde"       //定期定额
	//扣款
	TaxKkSmallVat   TaskName = "tax-kk-smallVat"   //小规模_增值税纳税
	TaxKkVat        TaskName = "tax-kk-vat"        //增值税一般纳税人
	TaxKkTaxQuarter TaskName = "tax-kk-taxQuarter" //企业所得税申报表
	TaxKkDeed       TaskName = "tax-kk-deed"       //行为税
	TaxKkQtsr       TaskName = "tax-kk-qtsr"       //其他收入
	TaxKkSl         TaskName = "tax-kk-sl"         //水利建设专项收入
	TaxKkWhsyjsf    TaskName = "tax-kk-whsyjsf"    //文化事业建设费
	TaxKkCbj        TaskName = "tax-kk-cbj"        //残疾人保障金
	TaxKkXfs        TaskName = "tax-kk-xfs"        //消费税
	TaxKkLjcl       TaskName = "tax-kk-ljcl"       //城市生活垃圾处置费
	TaxKkFjs        TaskName = "tax-kk-fjs"        //附加税
	TaxKkShebao     TaskName = "tax-kk-shebao"     //社保申报
	TaxKkDqde       TaskName = "tax-kk-dqde"       // 扣款定期定额
	//检查
	TaxJcShenBao TaskName = "tax-jc-shenbao" //检查
	TaxJcShebao  TaskName = "tax-jc-shebao"  //社保检查
	//云端历史数据采集
	HisCjHistoryCollect TaskName = "his-cj-historyCollect" //历史数据采集
	HisCjHistoryImport  TaskName = "his-cj-historyImport"  //历史数据导入
	HisCjHistoryMatch   TaskName = "his-cj-historyMatch"   //历史数据匹配
	OtherCjJianzhang    TaskName = "other-cj-jianzhang"    //建账采集  jz-collect
	TaxCjComInfo        TaskName = "tax-cj-comInfo"        //采集企业信息
	TaxCjHisData        TaskName = "tax-cj-hisData"        //历史迁移数据
	//年度
	TaxYearCj   TaskName = "tax-year-cj"   //年报表采集
	TaxYearSb   TaskName = "tax-year-sb"   //汇算清缴 年报表申报
	TaxYearKk   TaskName = "tax-year-kk"   //汇算清缴 年报表扣款
	TaxCwYearSb TaskName = "tax-cwyear-sb" //财务报表年报

	TaxCjNdks TaskName = "tax-cj-ndks" //年报表采集

	TaxYbjc TaskName = "tax-ybjc" //一表集成采集

	CjBank            TaskName = "cj-bank"             // 银行明细账采集
	CheckBankPassword TaskName = "check-bank-password" // 银行密码校验

	//金蝶对接所需接口
	TaxCjMmyz TaskName = "tax-cj-mmyz" //账号密码验证- 需要手机号的到发验证码那一步 不要点击发送验证码 需要截图
	TaxCjQyxx TaskName = "tax-cj-qyxx" //采集企业信息+会计制度+纳税人性质（一般还是小规模）+ 每个企业信息的截图
	//申报暂存功能 填表后点击暂存 不要申报 有问题提示 成功或者失败都要截图
	TaxSbSmallVatZc   TaskName = "tax-sb-smallVatZc"   //小规模_增值税纳税
	TaxSbVatZc        TaskName = "tax-sb-vatZc"        //增值税一般纳税人
	TaxSbTaxQuarterZc TaskName = "tax-sb-taxQuarterZc" //企业所得税申报表
	TaxSbDeedZc       TaskName = "tax-sb-deedZc"       //行为税
	TaxSbQtsrZc       TaskName = "tax-sb-qtsrZc"       //其他收入
	TaxSbSlZc         TaskName = "tax-sb-slZc"         //水利建设专项收入
	TaxSbWhsyjsfZc    TaskName = "tax-sb-whsyjsfZc"    //文化事业建设费
	TaxSbCbjZc        TaskName = "tax-sb-cbjZc"        //残疾人保障金g
	TaxSbXfsZc        TaskName = "tax-sb-xfsZc"        //消费税
	TaxSbLjclZc       TaskName = "tax-sb-ljclZc"       //城市生活垃圾处置费
	TaxSbShebaoZc     TaskName = "tax-sb-shebaoZc"     //社保申报
	TaxSbCwbbZc       TaskName = "tax-sb-cwbbZc"       //财务报表
	TaxSbFcsZc        TaskName = "tax-sb-fcsZc"        //房产税
	//财报更正功能
	TaxSbCwbbGz TaskName = "tax-sb-cwbbGz" //财务报表更正

	//涉水机构相关
	SsjgPeopleSync TaskName = "ssjg-people-sync" //涉税机构人员同步
	SsjgXySync     TaskName = "ssjg-xy-sync"     //涉税机构协议同步
	Yjkp           TaskName = "open-invoice"     //一键开票

	//登录上线 保活tpass任务
	TaxTpassLogin TaskName = "tax-tpass-login"

	//抵扣确认
	TaxGxrz TaskName = "tax-gxrz"

	//顶呱呱对接
	TaxCjSbqc   TaskName = "tax-cj-sbqc"   //采集申报清册
	TaxCjSwbb   TaskName = "tax-cj-swbb"   //下载税务报表
	TaxCjQcybjc TaskName = "tax-cj-qcybjc" //集成申报清册的数据 企业所得税没报财报进不去的提示err:"请先申报财报后在提取数据"
	TaxCjGsnb   TaskName = "gsnb-cj"       //工商年报采集
	TaxSbGsnb   TaskName = "gsnb-sb"       //工商年报申报

	//完税证明采集
	TaxCjWszm TaskName = "tax-cj-wszm" //完税证明采集

	TaxSbUpdate  TaskName = "tax-sb-update"  //申报更正
	TaxSbInvalid TaskName = "tax-sb-invalid" //申报作废
	// 作废
	TaxZfSmallVat   TaskName = "tax-zf-smallVat"   //小规模_增值税纳税
	TaxZfVat        TaskName = "tax-zf-vat"        //增值税一般纳税人
	TaxZfTaxQuarter TaskName = "tax-zf-taxQuarter" //企业所得税申报表
	TaxZfDeed       TaskName = "tax-zf-deed"       //行为税
	TaxZfQtsr       TaskName = "tax-zf-qtsr"       //其他收入
	TaxZfSl         TaskName = "tax-zf-sl"         //水利建设专项收入
	TaxZfWhsyjsf    TaskName = "tax-zf-whsyjsf"    //文化事业建设费
	TaxZfCbj        TaskName = "tax-zf-cbj"        //残疾人保障金g
	TaxZfXfs        TaskName = "tax-zf-xfs"        //消费税
	TaxZfLjcl       TaskName = "tax-zf-ljcl"       //城市生活垃圾处置费
	TaxZfShebao     TaskName = "tax-zf-shebao"     //社保申报
	TaxZfCwbb       TaskName = "tax-zf-cwbb"       //财务报表
	TaxZfFcs        TaskName = "tax-zf-fcs"        //房产税
	TaxZfDqde       TaskName = "tax-zf-dqde"       //定期定额
	// 更正
	TaxGzSmallVat   TaskName = "tax-gz-smallVat"   //小规模_增值税纳税
	TaxGzVat        TaskName = "tax-gz-vat"        //增值税一般纳税人
	TaxGzTaxQuarter TaskName = "tax-gz-taxQuarter" //企业所得税申报表
	TaxGzDeed       TaskName = "tax-gz-deed"       //行为税
	TaxGzQtsr       TaskName = "tax-gz-qtsr"       //其他收入
	TaxGzSl         TaskName = "tax-gz-sl"         //水利建设专项收入
	TaxGzWhsyjsf    TaskName = "tax-gz-whsyjsf"    //文化事业建设费
	TaxGzCbj        TaskName = "tax-gz-cbj"        //残疾人保障金g
	TaxGzXfs        TaskName = "tax-gz-xfs"        //消费税
	TaxGzLjcl       TaskName = "tax-gz-ljcl"       //城市生活垃圾处置费
	TaxGzCwbb       TaskName = "tax-gz-cwbb"       //财务报表
	TaxGzFcs        TaskName = "tax-gz-fcs"        //房产税
	TaxGzDqde       TaskName = "tax-gz-dqde"       //定期定额
)

func (t TaskName) Check() bool {
	if t == TaxCjJianzhang {
		return true
	}
	return false
}
